Skip to main content
POST
Create a calendar event for a donor

Authorizations

Authorization
string
header
required

Passport bearer token authentication for legacy admin sessions.

Path Parameters

donor_id
integer
required

Donor id.

Body

application/json

Request fields accepted by this operation. Omitted optional properties retain the behavior described above.

title
string
required

Validation: required|string|max:255.

Maximum string length: 255
start_at
string<date-time>
required

Validation: required|date.

account_id
integer | null

Validation: nullable|integer.

description
string | null

Validation: nullable|string|max:10000.

Maximum string length: 10000
location
string | null

Validation: nullable|string|max:255.

Maximum string length: 255
end_at
string<date-time>

Must be later than start_at.

timezone
string | null

Valid IANA timezone, excluding Factory.

Maximum string length: 64
attendee_email
string<email> | null

Validation: nullable|email.

send_updates
boolean | null

Validation: nullable|boolean.

reminder_minutes
integer | null

Validation: nullable|integer|min:0|max:40320.

Required range: 0 <= x <= 40320

Response

Create a calendar event for a donor response.

data
object